package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanySmsTemp;
import com.fs.company.param.CompanySmsTempListQueryParam;
import com.fs.company.vo.CompanySmsTempListQueryVO;
import com.fs.company.vo.CompanySmsTempListVO;

/**
 * 短信模板Service接口
 *
 * @author fs
 * @date 2023-01-09
 */
public interface ICompanySmsTempService
{
    /**
     * 查询短信模板
     *
     * @param tempId 短信模板ID
     * @return 短信模板
     */
    public CompanySmsTemp selectCompanySmsTempById(Long tempId);

    /**
     * 查询短信模板列表
     *
     * @param companySmsTemp 短信模板
     * @return 短信模板集合
     */
    public List<CompanySmsTemp> selectCompanySmsTempList(CompanySmsTemp companySmsTemp);

    /**
     * 新增短信模板
     *
     * @param companySmsTemp 短信模板
     * @return 结果
     */
    public int insertCompanySmsTemp(CompanySmsTemp companySmsTemp);

    /**
     * 修改短信模板
     *
     * @param companySmsTemp 短信模板
     * @return 结果
     */
    public int updateCompanySmsTemp(CompanySmsTemp companySmsTemp);

    /**
     * 批量删除短信模板
     *
     * @param tempIds 需要删除的短信模板ID
     * @return 结果
     */
    public int deleteCompanySmsTempByIds(Long[] tempIds);

    /**
     * 删除短信模板信息
     *
     * @param tempId 短信模板ID
     * @return 结果
     */
    public int deleteCompanySmsTempById(Long tempId);

    CompanySmsTemp selectCompanySmsTempByCode(String tempCode);

    List<CompanySmsTempListVO> selectCompanySmsTempListVO(CompanySmsTemp companySmsTemp);

    List<CompanySmsTempListQueryVO> selectCompanySmsTempListQuery(CompanySmsTempListQueryParam companySmsTemp);

    List<CompanySmsTempListQueryVO> selectCompanySmsTempListQueryForAdmin(CompanySmsTempListQueryParam maps);
}
